.pointer {
  cursor: pointer; }

.color-actiu {
  color: #D0003C; }

.u-hide {
  display: none; }

.sticky-title {
  display: none; }

.card.card-custom.sticky .sticky-title {
  display: block;
  padding: 20px; }

.aside-minimize .card.card-custom.sticky {
  left: 124px; }

.form-control-solid.is-invalid {
  border-color: #F64E60 !important; }

.offcanvas.offcanvas-right.offcanvas--modules,
.offcanvas.offcanvas-right.offcanvas--modules_initial {
  width: 800px;
  right: -800px; }

.offcanvas.offcanvas-right.offcanvas--module {
  width: 620px;
  right: -620px; }

.offcanvas.offcanvas-right.offcanvas-on.offcanvas--modules,
.offcanvas.offcanvas-right.offcanvas-on.offcanvas--modules_initial,
.offcanvas.offcanvas-right.offcanvas-on.offcanvas--module {
  right: 0; }

#kt_modules_duplicate {
  overflow-y: auto;
  overflow-x: hidden; }

.option--field-group {
  -ms-flex-direction: column;
      flex-direction: column; }

.ele-relative {
  position: relative; }

.pill-lang {
  position: absolute;
  right: 0;
  top: -11px; }

.layer-between-modules .select2-container {
  width: 100% !important; }

.module-card-inactive {
  opacity: .3; }

.module-preview-iframe {
  width: 100%;
  min-height: 800px;
  -ms-transform: scale(0.9);
      transform: scale(0.9);
  border: 0; }

.card-title-preview-img {
  display: none; }

@media screen and (min-width: 768px) {
  .card-label-preview {
    padding-left: 220px;
    min-height: 90px;
    overflow: hidden;
    position: relative; }
  .card-title-preview-img {
    display: block;
    width: 200px;
    position: absolute;
    top: 6px;
    left: 8px; } }

.img-list-products {
  max-width: 60px; }

.ck.ck-balloon-panel.ck-balloon-panel_arrow_n.ck-balloon-panel_visible.ck-balloon-panel_with-arrow {
  z-index: 10000; }

.modules-filter-search {
  border: 1px solid #fff;
  height: 26px; }

.modules-filter-search:focus {
  border: 1px solid #fff; }

.ck.ck-editor__main > .ck-editor__editable:not(.ck-focused),
.ck.ck-editor__main > .ck-editor__editable,
.tox .tox-edit-area__iframe {
  background-color: #e6e9ef !important;
  border: 1px solid #e6e9ef !important;
  border-radius: 0 !important; }

.tinymce-min .tox-tinymce {
  height: 220px !important; }

.textarea-json {
  min-height: 200px; }

/* NAVEGACION CONFIGURADOR DE PRODUCTOS */
.nav-catalogApiContent .item-api-catalogo-Folder {
  cursor: pointer; }

.nav-catalogApiContent .item-api-catalogo-Folder:hover {
  opacity: .6; }

#catalogApiContent-goback {
  position: absolute;
  right: 20px;
  top: 20px; }

.catalogApiContent-goback a:hover {
  opacity: .6; }

.layer-spinner-block {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.4); }

.layer-spinner-block .spinner {
  position: fixed;
  top: 50%;
  left: 50%;
  -ms-transform: translateX(-50%) translateY(-50%);
      transform: translateX(-50%) translateY(-50%); }

.pr-30 {
  padding-right: 30px; }

.cms-list {
  display: -ms-flexbox;
  display: flex;
  padding: 20px 0; }

.hidden-content {
  display: none !important; }

.cms-list__left {
  width: 40%; }

.cms-list__left img {
  width: auto;
  height: auto;
  max-height: 200px;
  max-width: 100%; }

.cms-list__right {
  width: 60%;
  padding: 0 0 0 30px; }

.cms-list__right-element {
  font-size: 20px;
  line-height: 21px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  margin: 0 0 15px; }

.cms-list__right-element:last-child {
  margin: 0; }

.cms-list__right-element--subtitle {
  font-size: 16px;
  line-height: 21px; }

.cms-list__right-element--description {
  font-size: 13px;
  line-height: 17px; }

.cms-list__right-element--link {
  font-size: 13px;
  line-height: 17px; }

.cms-list__right-element label {
  margin: 0;
  font-size: 12px;
  opacity: 0.5; }

.cms-list__right-content {
  font-size: 16px;
  line-height: 21px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  margin: 0 0 15px; }

.tab-pane
.card-custom {
  border: 2px solid #ebedf3;
  border-radius: 0;
  margin: 0 0 50px 0;
  padding: 20px 0 0 0; }

.tab-pane
.card-custom
.card-header {
  padding-bottom: 20px; }

.module-item {
  padding-bottom: 1em;
  font-weight: bold;
  font-size: 12px; }

.header-modules {
  padding: 15px 15px;
  border: 2px solid #ebedf3;
  position: -webkit-sticky;
  position: sticky;
  top: 65px;
  z-index: 1;
  background-color: white;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column; }
  @media (min-width: 1500px) {
    .header-modules {
      -ms-flex-direction: row;
          flex-direction: row; } }
  .header-modules__element {
    width: 100%;
    display: -ms-flexbox;
    display: flex;
    padding: 0 0 20px 0; }
    .header-modules__element:last-child {
      padding: 0; }
    @media (min-width: 1500px) {
      .header-modules__element {
        width: 50%;
        padding: 0; } }
    .header-modules__element-title {
      width: 135px;
      font-size: 16px;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
          align-items: center; }
    .header-modules__element-content {
      width: calc(100% - 135px); }

.offcanvas {
  padding: 30px 10px 30px 30px !important; }
  .offcanvas.offcanvas-right.offcanvas--module, .offcanvas.offcanvas-right.offcanvas--modules_initial {
    width: 70% !important;
    right: -70%; }
  .offcanvas .offcanvas-wrapper {
    padding: 0 15vw 0 0; }
  .offcanvas #description_left-es,
  .offcanvas #description_right-es {
    max-height: 200px;
    overflow: hidden; }
    .offcanvas #description_left-es .tox-sidebar-wrap,
    .offcanvas #description_right-es .tox-sidebar-wrap {
      max-height: 120px;
      overflow: auto; }
  .offcanvas .ki-close:before {
    color: black;
    font-size: 17px; }
  .offcanvas .btn.btn-icon.btn-xs {
    height: 34px;
    width: 34px; }

span.bold {
  font-weight: bold; }

span.italic {
  font-style: italic; }

.form-color-bubble {
  width: 14px;
  height: 14px;
  border-radius: 50%;
  margin-top: 2px;
  margin-left: 8px; }

.container__variant {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  -ms-flex-align: center;
      align-items: center; }
  .container__variant .container__icon {
    position: absolute;
    width: 141px;
    top: 0px; }
    .container__variant .container__icon--down {
      height: 141px;
      margin-top: calc(0.65rem + 1px); }
      .container__variant .container__icon--down .btn-icon {
        top: -10px !important; }
    .container__variant .container__icon .btn-icon {
      position: relative;
      top: 0px;
      left: 127px;
      z-index: 1; }
    .container__variant .container__icon .image-input-wrapper {
      border: none;
      box-shadow: none;
      width: 141px;
      height: 141px; }
  .container__variant .variant__item {
    width: 141px; }
    .container__variant .variant__item--select {
      text-align: center; }
  .container__variant img {
    margin-bottom: 21px;
  }
table.dt-rowReorder-float {
  background-color: #E4E6EF;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
  overflow: hidden;
  white-space: nowrap; }

#kt_modal_biblioteca_medios .modal-xl {
  max-width: 90%; }

.biblioteca_medios {
  position: relative;
  min-height: 460px; }
  .biblioteca_medios__item {
    margin-bottom: 24px;
    aspect-ratio: 1/1;
    cursor: pointer; }
    .biblioteca_medios__item img {
      width: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      height: 100%; }
    .biblioteca_medios__item.active .biblioteca_medios__hover {
      opacity: 1; }
  .biblioteca_medios__hover {
    position: absolute;
    top: 0;
    right: 12.5px;
    left: 12.5px;
    bottom: 0;
    background-color: rgba(54, 153, 255, 0.6);
    opacity: 0;
    transition: 0.4s; }
    .biblioteca_medios__hover > div {
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
          align-items: center;
      -ms-flex-pack: center;
          justify-content: center;
      width: 100%;
      height: 100%; }
      .biblioteca_medios__hover > div i {
        color: white;
        margin: auto;
        font-size: 24px; }
    .biblioteca_medios__hover:hover {
      opacity: 1; }
  .biblioteca_medios__button {
    background-color: white;
    color: #3699FF;
    transition: 0.4s;
    outline: none;
    border: 1px solid white;
    height: 32px;
    width: 32px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
        align-items: center;
    -ms-flex-pack: center;
        justify-content: center;
    border-radius: 50%; }
    .biblioteca_medios__button * {
      transition: 0.4s; }
    .biblioteca_medios__button:hover, .biblioteca_medios__button:active, .biblioteca_medios__button:focus, .biblioteca_medios__button.active {
      background-color: #3699FF;
      color: white;
      border: 1px solid #3699FF; }
      .biblioteca_medios__button:hover *, .biblioteca_medios__button:active *, .biblioteca_medios__button:focus *, .biblioteca_medios__button.active * {
        color: white; }
    .biblioteca_medios__button--image-asign {
      top: -12px;
      right: 0px;
      position: absolute;
      z-index: 2; }
      .biblioteca_medios__button--image-asign-legend {
        position: absolute;
        white-space: nowrap;
        background: #3699FF;
        color: white !important;
        -ms-transform: translateX(-60px);
            transform: translateX(-60px);
        opacity: 0;
        text-align: right;
        line-height: 1;
        padding: 6px 8px;
        display: none;
        border-radius: 4px;
        font-size: 10px; }
      .biblioteca_medios__button--image-asign:hover .biblioteca_medios__button--image-asign-legend {
        animation: spawnLegend 0.4s forwards;
        animation-delay: 1s;
        display: block; }
        @media (max-width: 1200px) {
          .biblioteca_medios__button--image-asign:hover .biblioteca_medios__button--image-asign-legend {
            display: none; } }
  .biblioteca_medios__gallery {
    overflow-y: auto; }
    .biblioteca_medios__gallery-content {
      position: absolute;
      left: 15px;
      top: 15px;
      right: 15px; }
  .biblioteca_medios img {
    width: 100%; }
  .biblioteca_medios .general-information {
    border-top: none;
    border-right: none;
    border-bottom: none;
    background-color: #F3F6F9; }
    .biblioteca_medios .general-information.card {
      border-radius: 0; }
    .biblioteca_medios .general-information .card-header {
      padding-right: 24px;
      padding-top: 0;
      padding-bottom: 0;
      padding-left: 24px; }
    .biblioteca_medios .general-information .card-body {
      padding-right: 24px;
      padding-top: 24px;
      padding-bottom: 24px;
      padding-left: 24px; }

@keyframes spawnLegend {
  0% {
    opacity: 0;
    transform: translateX(-60px); }
  100% {
    opacity: 1;
    transform: translateX(-70px); } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
